# @github/cem-plugin-readme

A Custom Element Manifest Analyzer plugin that generates a README.md for a Web Component.

## Development

```bash
# install dependencies
npm install

# start local development
npm start

# run tests
npm test
```

> **TIP:** When writing custom plugins, [ASTExplorer](https://astexplorer.net/#/gist/f99a9fba2c21e015d0a8590d291523e5/cce02565e487b584c943d317241991f19b105f94) is your friend 🙂

## Usage

### Install:

```bash
npm install --save-dev @github/cem-plugin-readme
```

### Import

`custom-elements-manifest.config.js`:
```js
import {readme} from '@github/cem-plugin-readme';

export default {
  plugins: [
    readme()
  ]
}
```
